var fs = require('fs');
var ini = require('ini');
var expresso = require('sate24-expresso');

process.chdir(__dirname);
var config = ini.parse(fs.readFileSync(__dirname + '/config.ini', 'utf-8'));
var logger = require('sate24/logger.js').start();
var HttpServer = require('sate24/httpserver.js');
var aaa = require('sate24/aaa.js');
var partner = require('./xmlout.js');

var matrix = aaa.prepareMatrix(config);

var options = {
    'aaa': aaa,
    'logger': logger,
    'config': config,
    'matrix': matrix,
}

var httpServer = HttpServer.start(config, options);

partner.start(options);
aaa.start(config, partner, options);

if (config.expresso) {
    expresso.start(options);
}
