var assert = require("assert");


describe('aaa', function() {
    var aaa = require('sate24/aaa');
    
    describe("#unaliasResponseCode()", function() {
        it('should return 68', function() {
            assert.equal('68', aaa.unaliasResponseCode('01', '01:68'));
        });
        
        it('should return 68', function() {
            assert.equal('68', aaa.unaliasResponseCode('68', '01:68'));
        });
        
        it('should return 00', function() {
            assert.equal('00', aaa.unaliasResponseCode('00', '01:68'));
        });
        
        it('should return 40', function() {
            assert.equal('40', aaa.unaliasResponseCode('40', ''));
        });
        
        it('should return 40', function() {
            assert.equal('40', aaa.unaliasResponseCode('40', ''));
        });
        
        it('should return 40', function() {
            assert.equal('40', aaa.unaliasResponseCode('40'));
        });
    
    });
    
});

describe('partner', function() {
    var partner = require('./xmlout');
    
    describe('#getBalanceFromMessage()', function() {
        it ('should return 8753973', function() {
            var message = 'SN=10125649183280;23/08/15 14:25 ISI XRH10 KE 087878342801, BERHASIL.SAL=8.753.973,HRG=10.400,ID=15832056,SN=10125649183280; YM CS kembali ke services477pulsa, tks.';
            assert.equal(8753973, partner.getBalanceFromMessage(message, 'SAL=(.+?),HRG'));
        });
        
        it ('should return undefined', function() {
            var message = 'SN=10125649183280;23/08/15 14:25 ISI XRH10 KE 087878342801, BERHASIL.SAL=8.753.973,HRG=10.400,ID=15832056,SN=10125649183280; YM CS kembali ke services477pulsa, tks.';
            assert.equal(undefined, partner.getBalanceFromMessage(message, 'ASAL=(.+?),HRG'));
        });
        
        it ('should return undefined', function() {
            var message = 'SN=10125649183280;23/08/15 14:25 ISI XRH10 KE 087878342801, BERHASIL.SAL=8.753.973,HRG=10.400,ID=15832056,SN=10125649183280; YM CS kembali ke services477pulsa, tks.';
            assert.equal(undefined, partner.getBalanceFromMessage(message, ''));
        });
            
    });
});
